Update message in conversation
curl --request POST \
--url https://api.intelligence.io.solutions/api/r2r/v3/conversations/{id}/messages/{message_id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"content": "<string>",
"metadata": "<array>"
}
'import requests
url = "https://api.intelligence.io.solutions/api/r2r/v3/conversations/{id}/messages/{message_id}"
payload = {
"content": "<string>",
"metadata": "<array>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({content: '<string>', metadata: '<array>'})
};
fetch('https://api.intelligence.io.solutions/api/r2r/v3/conversations/{id}/messages/{message_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"results": {
"id": "id",
"message": {
"role": "user",
"content": "This is a test message.",
"name": "name",
"function_call": {
"key": "value"
},
"tool_calls": [
{
"key": "value"
}
],
"tool_call_id": "tool_call_id",
"metadata": {
"key": "value"
},
"structured_content": [
{
"key": "value"
}
],
"image_url": "image_url"
},
"metadata": {
"key": "value"
}
}
}{}""Conversations
Update message in conversation
Update an existing message in a conversation. This endpoint updates the content of an existing message in a conversation.
POST
/
api
/
r2r
/
v3
/
conversations
/
{id}
/
messages
/
{message_id}
Update message in conversation
Authorizations
The access token received from the authorization server in the OAuth 2.0 flow.
Path Parameters
The unique identifier of the conversation
The ID of the message to update
Body
application/json
Response
200
Show child attributes
Show child attributes
Was this page helpful?
⌘I